@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700&display=swap");
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Poppins", sans-serif;
}
*::before,
*::after {
    padding: 0;
    margin: 0;
}
:root {
    --pink: #ff74a4;
    --violet: #9f6ea3;
    --lightblack: #515c6f;
    --white: #ffffff;
    --darkwhite: #cecaca;
    --pinkshadow: #ffcbdd;
    --lightbshadow: rgba(0, 0, 0, 0.15);
}

body {
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
}

.wrapper {
    width: 380px;
    overflow: hidden;
    position: relative;
    border-radius: 15px;
    padding: 25px 30px;
    background: var(--white);
    box-shadow: 0px 6px 15px var(--lightbshadow);
}

.wrapper i {
    cursor: pointer;
}

.top-bar,
.progress-area .timer,
.controls,
.music-list .header,
.music-list li {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.top-bar i {
    font-size: 30px;
    color: var(--lightblack);
}

.top-bar span {
    font-size: 18px;
    color: var(--lightblack);
}

.img-area {
    height: 320px;
    width: 100%;
    margin-top: 25px;
    overflow: hidden;
    border-radius: 15px;
    box-shadow: 0px 6px 15px var(--lightbshadow);
}

.img-area img {
    height: 100%;
    width: 100%;
    object-fit: cover;
}

.song-details {
    text-align: center;
    margin: 30px 0;
    color: var(--lightblack);
}

.song-details .name {
    font-size: 21px;
}

.song-details .artist {
    opacity: 0.9;
    font-size: 18px;
}

.progress-area {
    height: 6px;
    width: 100%;
    background-color: #f0f0f0;
    border-radius: 50px;
    cursor: pointer;
}

.progress-area .progress-bar {
    height: inherit;
    width: 0%;
    position: relative;
    border-radius: inherit;
    background: linear-gradient(90deg, var(--pink) 0%, var(--violet) 100%);
}

.progress-bar::before {
    content: "";
    position: absolute;
    height: 12px;
    width: 12px;
    background: #000;
    border-radius: inherit;
    top: 50%;
    right: -5px;
    transform: translateY(-50%);
    background: inherit;
    opacity: 0;
    transition: opacity 0.2s ease;
}

.progress-area:hover .progress-bar::before {
    opacity: 1;
}

.progress-area .timer {
    margin-top: 2px;
}

.timer span {
    font-size: 13px;
    color: var(--lightblack);
}

.controls {
    margin: 40px 0 5px 0;
}

.controls i {
    font-size: 28px;
    user-select: none;
    background: linear-gradient(var(--pink) 0%, var(--violet) 100%);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.controls i:nth-child(2),
.controls i:nth-child(4) {
    font-size: 43px;
}

.controls #prev {
    margin-right: -13px;
}

.controls #next {
    margin-right: -13px;
}

.controls .play-pause {
    height: 54px;
    width: 54px;
    background: linear-gradient(var(--white) 0%, var(--darkwhite) 100%);
    box-shadow: 0px 0px 5px var(--pink);
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.play-pause::before {
    content: "";
    position: absolute;
    height: 43px;
    width: 43px;
    border-radius: inherit;
    background: linear-gradient(var(--pink) 0%, var(--violet) 100%);
}

.play-pause i {
    height: 43px;
    width: 43px;
    line-height: 43px;
    text-align: center;
    border-radius: inherit;
    background-clip: text;
    background: inherit;
    position: relative;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.music-list {
    position: absolute;
    left: 0;
    bottom: -55%;
    opacity: 0;
    pointer-events: none;
    width: 100%;
    padding: 15px 30px;
    border-radius: 15px;
    box-shadow: 0px -5px 10px rgba(0, 0, 0, 0.1);
    background: var(--white);
    transition: all .14s ease-out;
}

/* We'll use this show class in JavaScript */
.music-list.show{
  bottom: 0;
  opacity: 1;
  pointer-events: auto;
}

.music-list .header .row {
    display: flex;
    align-items: center;
    font-size: 19px;
    color: var(--lightblack);
}

.header .row i {
    cursor: default;
}

.header .row span {
    margin-left: 5px;
}

.header #close {
    font-size: 22px;
    color: var(--lightblack);
}

.music-list ul {
    margin: 10px 0;
    max-height: 260px;
    overflow-y: auto;
}

.music-list ul::-webkit-scrollbar{
  width: 0px;
}

.music-list ul li {
    cursor: pointer;
    list-style: none;
    padding-bottom: 10px;
    margin-bottom: 5px;
    color: var(--lightblack);
    border-bottom: 1px solid #e5e5e5;
}

.music-list ul li:last-child{
  border-bottom: 0px;
}

.music-list ul li .row span{
  font-size: 17px;
}

ul li .row p{
  opacity: .9;
}

ul li .audio-duration{
  font-size: 16px;
}

ul li.playing{
    color: var(--violet);
    pointer-events: none;

}